package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.Industry;
import com.ruoyi.common.core.domain.Ztree;

/**
 * 行业Service接口
 * 
 * @author xiatao
 * @date 2022-02-08
 */
public interface IIndustryService 
{
    /**
     * 查询行业
     * 
     * @param id 行业主键
     * @return 行业
     */
    public Industry selectIndustryById(Long id);

    /**
     * 查询行业列表
     * 
     * @param industry 行业
     * @return 行业集合
     */
    public List<Industry> selectIndustryList(Industry industry);

    /**
     * 新增行业
     * 
     * @param industry 行业
     * @return 结果
     */
    public int insertIndustry(Industry industry);

    /**
     * 修改行业
     * 
     * @param industry 行业
     * @return 结果
     */
    public int updateIndustry(Industry industry);

    /**
     * 批量删除行业
     * 
     * @param ids 需要删除的行业主键集合
     * @return 结果
     */
    public int deleteIndustryByIds(String ids);

    /**
     * 删除行业信息
     * 
     * @param id 行业主键
     * @return 结果
     */
    public int deleteIndustryById(Long id);

    /**
     * 查询行业树列表
     * 
     * @return 所有行业信息
     */
    public List<Ztree> selectIndustryTree();
}
